
<script type="text/javascript">
//    var flag = false;
//    jQuery(document).ready(function($) {
//        transpotUrl('#content');
//    });
    function submit_message_replay()
    {
        if(regexContent() == false)
        {
            $("#message_form").submit();
        }
    }
    function regexContent()
    {
        var content = $.trim($("#message_content").val());
        if(content.length ==0)
        {
            $("#message_content_span").text("<%= l(:label_reply_empty) %>");
            $("#message_content_span").css('color','#ff0000');
            return false;
        }
        else
        {
            $("#message_content_span").text("<%= l(:label_field_correct) %>");
            $("#message_content_span").css('color','#008000');
            return true;
        }
    }
</script>



<%= content_for(:header_tags) do %>
    <%= import_ke(enable_at: false, prettify: false, init_activity: true) %>
<% end %>


<script type="text/javascript">
    $(function(){
        $("#RSide").removeAttr("id");
        $("#Container").css("width","1000px");
    });
</script>
<script>
    function expand_reply(container,btnid){
        var target = $(container).children();
        var btn = $(btnid);
        if(btn.data('init')=='0'){
            btn.data('init',1);
            btn.html('收起回复');
            target.show();
        }else{
            btn.data('init',0);
            btn.html('展开更多');
            target.hide();
            target.eq(0).show();
            target.eq(1).show();
            target.eq(2).show();
        }
    }
    function project_board_submit_message_replay()
    {
        if(MessageReplayVevify())
        {
            message_content_editor.sync();//提交内容之前要sync，不然服务器端取不到值
            $("#message_form").submit();
        }
    }

    function project_board_canel_message_replay()
    {
        $("#reply").hide(200);
        $("#message_quote").html("");
    }

    function MessageReplayVevify() {
        var content = message_content_editor.html();//$.trim($("#message_content").val());
        if (message_content_editor.isEmpty()) {
            $("#message_content_span").text("回复不能为空");
            $("#message_content_span").css('color', '#ff0000');
            return  false;
        }
        else {
            $("#message_content_span").text("填写正确");
            $("#message_content_span").css('color', '#008000');
            return true;
        }
    }
    $(function() {
        sd_create_editor_from_data(<%= @topic.id%>,null,"100%", "<%=@topic.class.to_s%>");
        showNormalImage('message_description_<%= @topic.id %>');
    });
</script>
<div class="homepageRight mt0">
  <div class="postRightContainer ml10" onmouseover="$('#message_setting_<%= @topic.id%>').show();" onmouseout="$('#message_setting_<%= @topic.id%>').hide();">
    <div class="postThemeContainer">
      <div class="postDetailPortrait">
        <%= link_to image_tag(url_to_avatar(@topic.author),:width=>50,:height => 50,:alt=>'图像' ),user_path(@topic.author) %>
      </div>
      <div class="postThemeWrap">
        <% if User.current.logged? %>
            <div class="homepagePostSetting" id="message_setting_<%= @topic.id%>" style="display: none">
              <ul>
                <li class="homepagePostSettingIcon">
                  <ul class="homepagePostSettiongText">
                    <% if @topic.author.id == User.current.id %>
                        <li>
                          <%= link_to(l(:button_edit), {:action => 'edit', :id => @topic}, :class => 'postOptionLink') if @message.editable_by?(User.current) %>
                        </li>
                        <li>
                          <%= link_to(l(:button_delete), {:action => 'destroy', :id => @topic},:method => :post,
                                      :data => {:confirm => l(:text_are_you_sure)},
                                      :class => 'postOptionLink'
                              ) if @message.destroyable_by?(User.current) %>
                        </li>
                    <% end %>
                    <li><%= link_to "发送", "javascript:void(0);", :onclick => "show_send(#{@message.id},#{User.current.id},'message');", :class => 'postOptionLink' %></li>
                  </ul>
                </li>
              </ul>
            </div>
        <%end%>
        <div class="postDetailTitle fl">
          <a href="javascript:void(0);" class="f14 linkGrey4 fb" style="overflow:hidden;">主题: <%= @topic.subject%></a>
        </div>
        <div class="cl"></div>

        <div class="postDetailCreater">
          <% if @topic.try(:author).try(:realname) == ' ' %>
              <%= link_to @topic.try(:author), user_path(@topic.author,:host=>Setting.host_user), :class => "linkBlue2", :target=> "_blank" %>
          <% else %>
              <%= link_to @topic.try(:author).try(:realname), user_path(@topic.author,:host=>Setting.host_user), :class => "linkBlue2", :target=> "_blank" %>
          <% end %>
        </div>
        <div class="postDetailDate mb5"><%= format_time( @topic.created_on)%></div>
        <div class="cl"></div>
        <div class="homepagePostIntro memo-content upload_img break_word" id="message_description_<%= @topic.id %>" style="word-break: break-all; word-wrap:break-word;margin-bottom: 0px !important;" >
          <%= @topic.content.html_safe%>
        </div>
        <div class="cl"></div>
        <div class="mt10" style="font-weight:normal;">
          <%= render :partial=>"attachments/activity_attach", :locals=>{:activity => @topic} %>
        </div>
      </div>
      <div class="cl"></div>
    </div>
    <div class="cl"></div>
    <div class="homepagePostReply">
      <div class="homepagePostReplyBanner">
        <div class="homepagePostReplyBannerCount">回复
          <sapn class="mr15"><%= @reply_count>0 ? "（#{@reply_count}）" : "" %></sapn><span style="color: #cecece;">▪</span>
          <span id="praise_count_<%=@topic.id %>">
          <%=render :partial=> "praise_tread/praise", :locals => {:activity=>@topic, :user_activity_id=>@topic.id,:type=>"activity"}%>
        </span>
        </div>
      </div>
      <% unless @replies.empty? %>
          <div class="" id="reply_div_<%=  @topic.id %>">
            <% @replies.each_with_index  do |reply,i| %>
                <script type="text/javascript">
                    $(function(){
                        showNormalImage('reply_message_description_<%= reply.id %>');
                        autoUrl('reply_message_description_<%= reply.id %>');
                    });
                </script>
                <div class="homepagePostReplyContainer" onmouseover="$('#reply_edit_menu_<%= reply.id%>').show();" onmouseout="$('#reply_edit_menu_<%= reply.id%>').hide();">
                  <div class="homepagePostReplyPortrait">
                    <%= link_to image_tag(url_to_avatar(reply.author), :width => 33,:height => 33), user_path(reply.author) %>
                  </div>
                  <div class="homepagePostReplyDes">
                    <div class="homepagePostReplyPublisher">
                      <% if reply.try(:author).try(:realname) == ' ' %>
                          <%= link_to reply.try(:author), user_path(reply.author_id,:host=>Setting.host_user), :class => "newsBlue mr10 f14" %>
                      <% else %>
                          <%= link_to reply.try(:author).try(:realname), user_path(reply.author_id,:host=>Setting.host_user), :class => "newsBlue mr10 f14" %>
                      <% end %>
                    </div>
                    <div class="homepagePostReplyContent upload_img break_word table_maxWidth" id="reply_message_description_<%= reply.id %>">
                      <%= reply.content.html_safe%>
                    </div>
                    <div style="margin-top: -7px; margin-bottom: 5px">
                      <%= format_time(reply.created_on) %>
                      <div class="fr" id="reply_edit_menu_<%= reply.id%>" style="display: none">
                        <span id="reply_praise_count_<%=reply.id %>">
                         <%=render :partial=> "praise_tread/praise", :locals => {:activity=>reply, :user_activity_id=>reply.id,:type=>"reply"}%>
                        </span>
                        <%= link_to(
                                    l(:button_reply),
                                    {:action => 'quote', :id => reply},
                                    :remote => true,
                                    :method => 'get',
                                    :class => 'fr newsBlue mr10',
                                    :title => l(:button_reply)) if !@topic.locked? && authorize_for('messages', 'reply') %>
                        <%= link_to(
                                    l(:button_delete),
                                    {:action => 'destroy', :id => reply},
                                    :method => :post,
                                    :class => 'fr newsGrey mr10',
                                    :data => {:confirm => l(:text_are_you_sure)},
                                    :title => l(:button_delete)
                            ) if reply.destroyable_by?(User.current) %>
                      </div>
                    </div>
                    <p id="reply_message_<%= reply.id%>"></p>
                  </div>
                  <div class="cl"></div>
                </div>
            <% end %>
          </div>

      <% end %>
      <div class="cl"></div>
      <% if !@topic.locked? && authorize_for('messages', 'reply') %>
          <div class="talkWrapMsg" nhname="about_talk_reply">
            <em class="talkWrapArrow"></em>
            <div class="cl"></div>
            <div class="talkConIpt ml5 mb10" id="reply<%= @topic.id %>">
              <%= form_for @reply, :as => :reply, :url => {:action => 'reply', :id => @topic}, :html => {:multipart => true, :id => 'message_form'} do |f| %>
                  <%= render :partial => 'form_project', :locals => {:f => f, :replying => true} %>
                  <%= link_to l(:button_cancel), "javascript:void(0)", :onclick => 'project_board_cancel_message_replay();', :class => "blue_btn grey_btn fr c_white mt10 mr5" %>
                  <%= link_to l(:button_submit), "javascript:void(0)", :onclick => 'project_board_submit_message_replay();', :class => "blue_btn fr c_white mt10", :style => "margin-left: 50px;" %>
              <% end %>
              <div class="cl"></div>
            </div>
          </div>
      <% end %>
    </div>
  </div>
</div>
<script type="text/javascript">
    $(function(){
        $("#message_description_<%= @topic.id %> p,#message_description_<%= @topic.id %> span,#message_description_<%= @topic.id %> em").each(function(){
            var postContent = $(this).html();
            postContent = postContent.replace(/&nbsp;/g," ");
            postContent= postContent.replace(/ {2}/g,"&nbsp; ");
            postContent=postContent.replace(/&nbsp; &nbsp;/g,"&nbsp;&nbsp;&nbsp;");
            postContent=postContent.replace(/&nbsp;  /g,"&nbsp;&nbsp; ");
            $(this).html(postContent);
        });
        autoUrl('message_description_<%= @topic.id %>');
    });
</script>
